# -*- coding: utf-8 -*-

from __future__ import division

from django_query import get_query_value
from django_response import response

from goods.models import PackGoodsInfo, PackGoodsSaleInfo, PackInfo
from kol.models import KOLInfo


def pack_detail(request):
    pack_id = get_query_value(request, 'pack_id', '')

    try:
        pack = PackInfo.objects.get(pack_id=pack_id, status=True)
    except PackInfo.DoesNotExist:
        return response()

    try:
        kol = KOLInfo.objects.get(kol_id=pack.kol_id, status=True)
    except KOLInfo.DoesNotExist:
        return response()

    goods = PackGoodsInfo.objects.filter(pack_id=pack_id, status=True)
    goods = [g.good_info for g in goods]

    sales = PackGoodsSaleInfo.objects.filter(pack_id=pack_id, status=True)[:5]
    sales = [sale.data for sale in sales]

    return response(data={
        'kol': kol.data,
        'goods': goods,
        'sales': sales,
    })
