# -*- coding: utf-8 -*-

from django.conf.urls import url

from api import mini_views, oauth_views, pack_views
from pay import views as pay_views


urlpatterns = [
    url(r'^mini/login$', mini_views.mini_login_api, name='mini_login_api'),  # 小程序登录
    url(r'^mini/userinfo$', mini_views.get_userinfo_api, name='get_userinfo_api'),  # 获取用户信息
]

urlpatterns += [
    url(r'^pack$', pack_views.pack_detail, name='pack_detail'),
]

urlpatterns += [
    url(r'^pay/wx/order_create$', pay_views.wx_order_create_api, name='wx_order_create_api'),   # 订单创建
]

urlpatterns += [
    url(r'^3rd/or$', oauth_views.oauth_redirect, name='3rd_or'),
    url(r'^3rd/oauth_redirect$', oauth_views.oauth_redirect, name='3rd_oauth_redirect'),
]
